Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Interface DiscountCalculator

All Known Implementing Classes:
  AbstractDiscountCalculator

public interface DiscountCalculator

The DiscountCalculator will produce the new price of an entity (item, order shipping, ...) given a DiscountModifier instance and an entity. DiscountModifier is used by a DiscountCalculator to determine to what amount an entity should be discounted. This class should be implemented to produce a particular type of calculator. A specific DiscountCalculator implementation will be associated with a particular type or types of DiscountModifier classes at runtime.

Field Summary
`static String` | `calcMethod`

Method Summary
`void` | `calcNewPrice(DiscountModifier modifier, AdjustmentType type, QualificationDiscountId discountID, String reason, List items)` List of PoolObject(s).
`void` | `calcNewPrice(DiscountModifier modifier, AdjustmentType type, QualificationDiscountId discountID, String reason, PoolObject item)`

Field Detail

### calcMethod

    public static final String calcMethod

See Also:
  Constant Field Values

Method Detail

### calcNewPrice

    public void calcNewPrice(DiscountModifier modifier,
                             AdjustmentType type,
                             QualificationDiscountId discountID,
                             String reason,
                             PoolObject item)

### calcNewPrice

    public void calcNewPrice(DiscountModifier modifier,
                             AdjustmentType type,
                             QualificationDiscountId discountID,
                             String reason,
                             List items)

  List of PoolObject(s).

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved